package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.MailLog;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 邮箱记录表
 *
 * @author: jeecg-boot
 * @date: 2019-12-08
 * @cersion: V1.0
 */
public interface MailLogMapper extends BaseMapper<MailLog> {

    Integer selectCountByAccountIdAndDate(@Param("accountId") Long accountId, @Param("createTime") String createTime, @Param("type") Integer type);

    List<String> selectMailList(@Param("projectId") Long projectId);

    List<JSONObject> selectWeiXinIdList(@Param("projectId") Long projectId);

    JSONObject getWChatIdByUserId(@Param("userId") String responsibleId);

    String getUserNameByUserId(@Param("userId") String transferor);

    JSONObject getWeChatByMail(@Param("mail") String mail);

    List<JSONObject> selectWeiXinIdListByAccountId(@Param("accountId") Long accountId);

    List<JSONObject> selectBytaDanceWeiXinIdListByAccountId(@Param("accountId") Long accountId);
}
